.section-title {
    display: flex;
    flex-wrap: nowrap;
    justify-content: space-between;
    margin-bottom: 40px;
    color: black;
    @include lg {
        margin-bottom: 35px;
    }
    @include md {
        margin-bottom: 30px;
    }

    &.text-center {
        text-align: center;
        justify-content: center;
    }

    &__title {
        margin: 0;
        font-family: $font-geometria;
        font-size: 36px;
        font-weight: 700;
        line-height: (38/36);
        letter-spacing: -0.01em;
        @include rfonts (36, 32, 26, 24);


        &--dots {
            display: inline-block;
            background-image: url(../img/ui/section-title-dots.svg);
            background-repeat: no-repeat;
            background-position: right 70%;
            background-size: 153px 18px;
            padding-right: 173px; // запрет на перекрытие декоративных точек
            @include sm {
                background-image: none;
                padding-right: 0;
            }
        }
    }

    &__text {
        margin: 0;
        margin-top: 11px;
        margin-left: 2px;
        font-family: $font-root;
        font-size: 16px;
        font-weight: 400;
        line-height: 1.5;
        @include rfonts (16, 16, 14, 14)
    }

    &__buttons {
        padding-top: 18px;
        a {
            display: inline-block;
            margin: 10px 0 0 10px;
        }

        a:first-child {
            margin-top: 0;
        }
    }

    &__button-mobile {
        white-space: nowrap;
        font-weight: 600;
        text-decoration: underline;
        color: $pink;

        &:hover,
        &:focus {
            text-decoration: none;
            color: $pink;
        }
    }

    .section--dark &,
    .popup--dark & {
        color: white;
    }
}